# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 1.001
%global source_release 7
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry       SIL
%global default_fonts_license       OFL
%global default_fonts_licenses      OFL.txt
%global default_fonts_docs          *.txt documentation/*.txt documentation/*.odt
%global default_fonts_docs_exclude  %{default_fonts_licenses}

%global fonts_family             Harmattan
%global fonts_summary            Harmattan, a Warsh-style Arabic script font family
%global fonts_tags               %{expand:
# We blacklist the Andika subset in Harmattan, to use the latest full version
Requires: font(andikanewbasic)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
Harmattan, named after the trade winds that blow during the dry season in West
Africa, is designed in a Warsh style to suit the needs of languages using the
Arabic script in West Africa.

Because the font style is specifically intended for West Africa, the character
set for this font is aimed at West African languages. Thus, Asia-specific
glyphs are not included.}

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
65-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt documentation/*.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-7
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-6
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-5
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-4
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-3
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-1
✅ Initial packaging
